import * as unplugin from 'unplugin';
import { EnhancedRemoteOptions, EnhancedHostOptions } from './index.mjs';
import '@module-federation/dts-kit';

declare const NativeFederationTypeScriptRemote: (options: EnhancedRemoteOptions) => unplugin.RspackPluginInstance;
declare const NativeFederationTypeScriptHost: (options: EnhancedHostOptions) => unplugin.RspackPluginInstance;

export { NativeFederationTypeScriptHost, NativeFederationTypeScriptRemote };
